var $AdfDhtmlBreadCrumbsPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfRichUIPeer$$, "AdfDhtmlBreadCrumbsPeer", !1);
$goog$exportSymbol$$("AdfDhtmlBreadCrumbsPeer", $AdfDhtmlBreadCrumbsPeer$$);
$AdfDhtmlBreadCrumbsPeer$$.prototype.$InitDomElement$ = function $$AdfDhtmlBreadCrumbsPeer$$$$$InitDomElement$$($component$$690$$, $domElement$$67$$) {
  $AdfDhtmlBreadCrumbsPeer$$.$superclass$.$InitDomElement$.call(this, $component$$690$$, $domElement$$67$$);
  var $clientId$$114_id$$259$$ = $component$$690$$.$getClientId$(), $clientId$$114_id$$259$$ = $AdfRichUIPeer$$.$CreateSubId$($clientId$$114_id$$259$$, "oc");
  this.$_overflowContents$ = $AdfAgent$$.$AGENT$.getElementById($clientId$$114_id$$259$$);
  $AdfPage$$.$PAGE$.$__registerDescendantResizeNotifyComponent$($component$$690$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlBreadCrumbsPeer.prototype.InitDomElement", {$InitDomElement$:$AdfDhtmlBreadCrumbsPeer$$.prototype.$InitDomElement$});
$AdfDhtmlBreadCrumbsPeer$$.prototype.$needsResizeNotify$ = function $$AdfDhtmlBreadCrumbsPeer$$$$$needsResizeNotify$$() {
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlBreadCrumbsPeer.prototype.needsResizeNotify", {$needsResizeNotify$:$AdfDhtmlBreadCrumbsPeer$$.prototype.$needsResizeNotify$});
$AdfDhtmlBreadCrumbsPeer$$.prototype.$ResizeNotify$ = function $$AdfDhtmlBreadCrumbsPeer$$$$$ResizeNotify$$() {
  var $children$$14_clientId$$115_component$$692$$ = this.$getComponent$();
  this.$getDomElement$();
  if (!this.$_overflowSupport$) {
    $children$$14_clientId$$115_component$$692$$ = $children$$14_clientId$$115_component$$692$$.$getClientId$();
    if (!$AdfOverflowSupport$$.$needsOverflow$($children$$14_clientId$$115_component$$692$$)) {
      return;
    }
    this.$_overflowSupport$ = new $AdfOverflowSupport$$($children$$14_clientId$$115_component$$692$$, this, "start", "before");
    for (var $children$$14_clientId$$115_component$$692$$ = this.$_overflowContents$.childNodes, $child$$11_overflowElement$$, $i$$234$$ = 0;$child$$11_overflowElement$$ = $children$$14_clientId$$115_component$$692$$[$i$$234$$++];) {
      1 == $child$$11_overflowElement$$.nodeType && ("a" == $child$$11_overflowElement$$.tagName.toLowerCase() || 0 < $child$$11_overflowElement$$.getElementsByTagName("a").length ? (this.$_overflowSupport$.$createStep$(), $child$$11_overflowElement$$ = this.$_createOverflowElement$($child$$11_overflowElement$$), $i$$234$$++, this.$_overflowSupport$.$addOverflowElement$($child$$11_overflowElement$$)) : (this.$_overflowSupport$.$createStep$(), this.$_overflowSupport$.addElement($child$$11_overflowElement$$)))
      ;
    }
  }
  this.$_overflowSupport$.$handleResize$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlBreadCrumbsPeer.prototype.ResizeNotify", {$ResizeNotify$:$AdfDhtmlBreadCrumbsPeer$$.prototype.$ResizeNotify$});
$AdfDhtmlBreadCrumbsPeer$$.prototype.$ComponentRemoved$ = function $$AdfDhtmlBreadCrumbsPeer$$$$$ComponentRemoved$$($component$$693$$) {
  this.$_overflowSupport$ && (this.$_overflowSupport$.$removeOverflowSupport$(), delete this.$_overflowSupport$);
  delete this.$_overflowContents$;
  $AdfPage$$.$PAGE$.$__unregisterDescendantResizeNotifyComponent$($component$$693$$);
  $AdfDhtmlBreadCrumbsPeer$$.$superclass$.$ComponentRemoved$.call(this, $component$$693$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlBreadCrumbsPeer.prototype.ComponentRemoved", {$ComponentRemoved$:$AdfDhtmlBreadCrumbsPeer$$.prototype.$ComponentRemoved$});
$AdfDhtmlBreadCrumbsPeer$$.prototype.$_createOverflowElement$ = function $$AdfDhtmlBreadCrumbsPeer$$$$$_createOverflowElement$$($element$$210_position$$4$$) {
  var $overflowElement$$1$$ = $element$$210_position$$4$$.ownerDocument.createElement("div"), $overflowClassName$$ = $AdfDhtmlBreadCrumbsPeer$$.$_overflowElementStyleClass$;
  null == $overflowClassName$$ && ($overflowClassName$$ = $AdfPage$$.$PAGE$.$getLookAndFeel$().getStyleClass("AFOverflowElement"), $AdfDhtmlBreadCrumbsPeer$$.$_overflowElementStyleClass$ = $overflowClassName$$);
  $overflowElement$$1$$.className = $overflowClassName$$;
  $element$$210_position$$4$$ = this.$_overflowSupport$.$createSwapPosition$($element$$210_position$$4$$);
  $overflowElement$$1$$.appendChild($element$$210_position$$4$$);
  return $overflowElement$$1$$;
};
$AdfDhtmlBreadCrumbsPeer$$.prototype.$ConvertClientIdToLocator$ = function $$AdfDhtmlBreadCrumbsPeer$$$$$ConvertClientIdToLocator$$($clientId$$116_clientIdDepth$$1_component$$694$$, $childComponent$$7_endIndex$$3$$, $descComponentClientId$$2_index$$121_subComponentId$$1$$, $replaceArray$$3$$) {
  $clientId$$116_clientIdDepth$$1_component$$694$$ = $clientId$$116_clientIdDepth$$1_component$$694$$.$getClientId$();
  $AdfAssert$$.assert(0 <= $descComponentClientId$$2_index$$121_subComponentId$$1$$.indexOf($clientId$$116_clientIdDepth$$1_component$$694$$));
  $descComponentClientId$$2_index$$121_subComponentId$$1$$ = $descComponentClientId$$2_index$$121_subComponentId$$1$$.substring($clientId$$116_clientIdDepth$$1_component$$694$$.length + 1);
  $childComponent$$7_endIndex$$3$$ = $descComponentClientId$$2_index$$121_subComponentId$$1$$.indexOf(":");
  0 < $childComponent$$7_endIndex$$3$$ && ($descComponentClientId$$2_index$$121_subComponentId$$1$$ = $descComponentClientId$$2_index$$121_subComponentId$$1$$.substring(0, $childComponent$$7_endIndex$$3$$), $clientId$$116_clientIdDepth$$1_component$$694$$ = $AdfStrings$$.count($clientId$$116_clientIdDepth$$1_component$$694$$, ":"), $replaceArray$$3$$.push([$clientId$$116_clientIdDepth$$1_component$$694$$ + 1, $descComponentClientId$$2_index$$121_subComponentId$$1$$]));
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlBreadCrumbsPeer.prototype.ConvertClientIdToLocator", {$ConvertClientIdToLocator$:$AdfDhtmlBreadCrumbsPeer$$.prototype.$ConvertClientIdToLocator$});
$AdfDhtmlBreadCrumbsPeer$$.prototype.$convertLocatorToClientId$ = function $$AdfDhtmlBreadCrumbsPeer$$$$$convertLocatorToClientId$$($component$$695$$, $index$$122$$) {
  var $parentId$$3$$ = $component$$695$$.$getClientId$(), $child$$12_clientId$$117_contentId$$3$$ = $AdfRichUIPeer$$.$CreateSubId$($parentId$$3$$, "oc");
  if ($child$$12_clientId$$117_contentId$$3$$ = $AdfAgent$$.$AGENT$.getElementById($child$$12_clientId$$117_contentId$$3$$).getElementsByTagName("a")[$index$$122$$]) {
    $child$$12_clientId$$117_contentId$$3$$ = $child$$12_clientId$$117_contentId$$3$$.id;
    if (0 < $child$$12_clientId$$117_contentId$$3$$.substring($parentId$$3$$.length + 1).indexOf(":")) {
      return $child$$12_clientId$$117_contentId$$3$$;
    }
    $AdfAssert$$.assert(!1, "Use of [] locator notation is only supported when breadCrumbs: " + $parentId$$3$$ + " is used with MenuModel");
  }
  return null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlBreadCrumbsPeer.prototype.convertLocatorToClientId", {$convertLocatorToClientId$:$AdfDhtmlBreadCrumbsPeer$$.prototype.$convertLocatorToClientId$});
